Bric::Util::Grp::Desk(3)

NAME
Bric::Util::Grp::Desk - A class to impliment desk groups

VERSION
$LastChangedRevision$

DATE
$LastChangedDate: 2004-08-12 17:13:34 -0700 (Thu, 12 Aug 2004) $

SYNOPSIS
 use Bric::Util::Grp::Desk;

 # Create a new keyword synonym object.
 my $desk_grp  = new Bric::Util::Grp::Desk();

 # Add a description for this synonym group.
 $desc    = $desk_grp->get_description($desc);

DESCRIPTION
Impliments groups of desks.

INTERFACE

  Constructors

$obj = new Bric::Util::Grp::Desk($init);
    Creates a new desk group. Uses inherited 'new' method.

    Throws:

    NONE

    Side Effects:

    NONE

    Notes:

    NONE

@objs = lookup Bric::Util::Grp::Desk($param);
    Uses inherited 'lookup' method.

    Throws:

    NONE

    Side Effects:

    NONE

    Notes:

    NONE

@objs = list Bric::Util::Grp::Desk($param);
    Uses inherited 'list' method.

    Throws:

    NONE

    Side Effects:

    NONE

    Notes:

    NONE

  Destructors

  Public Class Methods
NONE.

  Public Instance Methods

$class_id = Bric::Util::Grp::Category->get_class_id()
    This will return the class id that this group is associated with it should have an id that maps to the class object instance that is associated with the class of the grp ie Bric::Util::Grp::AssetVersion

    Throws: NONE

    Side Effects: NONE

    Notes:

    Overwite this in your sub classes

$h = $key->get_supported_classes;
    This supplies a package to table name mapping.

    Throws:

    NONE

    Side Effects:

    NONE

    Notes:

    NONE

my @list_classes = Bric::Util::Grp::Desk->get_list_classes
    Returns a list or anonymous array of the supported classes in the group that can have their "list()" methods called in succession to assemble a list of member objects. This data varies from that stored in the keys in the hash reference returned by "get_supported_classes" in that some classes' "list()" methods may inherit from others, and we don't want the same "list()" method executed more than once.

    Throws: NONE.

    Side Effects: NONE.

    Notes: NONE.

$class_id = Bric::Util::Grp::Desk->get_object_class_id
    Forces all Objects to be considered as this class.

    Throws: NONE.

    Side Effects: NONE.

    Notes: NONE.

  Private Methods
NONE.

  Private Class Methods
NONE

  Private Instance Methods
NONE

NOTES
NONE

AUTHOR
Garth Webb <garth@perijove.com>

SEE ALSO
perl, Bric, Bric::Biz::Workflow::Parts::Desk